Bug 12231 - /usr/bin/glib-config: obsolete command present in distribution (and returns wrong value)
Summary: /usr/bin/glib-config: obsolete command present in distribution (and returns w...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glib   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-14 00:08 UTC by Douglas B. Moran
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-15 15:42:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Douglas B. Moran 2000-06-14 00:08:49 UTC
The command /usr/bin/glib-config from GLIB 1.2 is still present on
Red Hat 6.1 and 6.2 systems (GLIB 2.x) systems.
	glib-config --version
returns 1.2.6 for GLIB - hence misleading.

Source for glib-config not found in GLIB 2.x source, but found in
source for GLIB 1.2.
Hence I am guessing that this command is a remnant of upgrading
previous versions (rather than creating distributions from a
new install).

Comment 1 Owen Taylor 2000-06-15 18:03:34 UTC
You are most likely confusing GLib and glibc. GLib is a library
of convenience routines used by GTK+, GNOME, and many other packages.

glibc is the GNU C library.

The current version of GLib is 1.2 and contains glib-config.


Note You need to log in before you can comment on or make changes to this bug.